V1.0
post
/ec-designer-edc-svc/rest/v1.0/studies/{studyId}/forms/labNormalItems
Returns lab-normal tagged form items for selected study-version forms. The request body must identify the study versions and form IDs to inspect; the response groups matching lab-normal items by study version and form.
Request
Path Parameters
-
studyId(required): string(uuid)
Study ID (UUID, 32-character uppercase hexadecimal string).Example:
F054C951EB74443C93716CA714AB686E
Query Parameters
-
excludeItemType: string
Form item type to exclude from returned item details.Allowed Values:
[ "instructionalText" ]Example:instructionalText -
formCategory: string
Form category filter.Default Value:
ALLAllowed Values:[ "DCS", "NSF", "ALL" ]Example:ALL -
mode(required): string
Study mode filter.Allowed Values:
[ "test", "training", "active" ]Example:test
Supported Media Types
- application/json
Root Schema : schema
Type:
Show Source
array-
Array of:
object CopyForms
Title:
CopyFormsInformation about forms to be copied.
Nested Schema : CopyForms
Type:
objectTitle:
CopyFormsInformation about forms to be copied.
Show Source
-
formId(required): string
(uuid)
Form GUID
-
studyId(required): string
(uuid)
Study GUID
-
version(required): string
versionExample:
1.3.0.6
Examples
Back to Top
Response
Supported Media Types
- application/json
200 Response
Lab-normal form items were returned successfully.
Nested Schema : RespLabNormalFormItemsDto
Type:
Show Source
object-
forms: object
LabNormalFormDto v1.0
Title:
LabNormalFormDto v1.0LabNormal Form Detail Information -
studyVersion: string
Study VersionExample:
1.0.0.1
Nested Schema : LabNormalFormDto v1.0
Type:
objectTitle:
LabNormalFormDto v1.0LabNormal Form Detail Information
Show Source
-
formId: string
(uuid)
Form Id
-
items: object
LabNormalItemDto v1.0
Title:
LabNormalItemDto v1.0Item tagged with labNormalTag Details
Nested Schema : LabNormalItemDto v1.0
Type:
objectTitle:
LabNormalItemDto v1.0Item tagged with labNormalTag Details
Show Source
-
format: string
Date FormatExample:
dd-MMM-yyyy -
formId: string
(uuid)
Form Id
-
id: string
(uuid)
Item Id
-
labNormalsTag: string
labNormalsTagExample:
Race -
options: object
FormOptionDto v17.0
Title:
FormOptionDto v17.0Form choice item option details -
refname: string
Form refnameExample:
FORM_01
Nested Schema : FormOptionDto v17.0
Type:
objectTitle:
FormOptionDto v17.0Form choice item option details
Show Source
-
clCode: string
Codelist code for a one specific choice.Example:
1 -
clDescription: string
Minimum Length:
1Maximum Length:4000Codelist description for a one specific choice.Example:1 -
clValue: string
Codelist value for a one specific choice.Example:
1 -
label: string
Minimum Length:
1Maximum Length:4000Form choice selectbox label for a one specific choice.Example:Female -
value: string
Minimum Length:
1Maximum Length:4000Form choice selectbox value for a one specific choice.Example:1
Examples
400 Response
The request payload is missing studyVersion or formId, or contains invalid values.
Root Schema : ErrorResponseData
Type:
objectTitle:
ErrorResponseDataError Response Details Information
Show Source
-
details: object
Object
Title:
ObjectObject with error details information. -
errorCode: string
Error code which is stored in ErrorCode enum. Example : C1-003Example:
C1-003 -
errorMessage: string
Error message which is stored in service property file. Example : Cannot modify object after a study version has been approvedExample:
Cannot modify object after a study version has been approved
Nested Schema : Object
Type:
objectTitle:
ObjectObject with error details information.
Example:
{
"field":"studyId",
"reason":"Invalid value"
}Examples
500 Response
Error
Root Schema : ErrorResponseData
Type:
objectTitle:
ErrorResponseDataError Response Details Information
Show Source
-
details: object
Object
Title:
ObjectObject with error details information. -
errorCode: string
Error code which is stored in ErrorCode enum. Example : C1-003Example:
C1-003 -
errorMessage: string
Error message which is stored in service property file. Example : Cannot modify object after a study version has been approvedExample:
Cannot modify object after a study version has been approved
Nested Schema : Object
Type:
objectTitle:
ObjectObject with error details information.
Example:
{
"field":"studyId",
"reason":"Invalid value"
}Examples